Search found 58 matches

by djcj
Sat Dec 05, 2020 3:03 pm
Forum: New
Topic: 0.97.1: crash when lossless cropping large JPEG files
Replies: 5
Views: 236

Re: 0.97.1: crash when lossless cropping large JPEG files

xnview wrote: Fri Dec 04, 2020 10:21 am Thanks i've received your image files, how to reproduce the crash?
Try to do a lossess jpeg crop. Eventually at one of the pictures it may fail.
by djcj
Mon Nov 30, 2020 1:26 pm
Forum: New
Topic: 0.97.1: crash when lossless cropping large JPEG files
Replies: 5
Views: 236

Re: 0.97.1: crash when lossless cropping large JPEG files

xnview wrote: Mon Nov 23, 2020 8:09 am could you send me the sample file?
I send you a PM.
by djcj
Sun Nov 22, 2020 4:27 pm
Forum: New
Topic: 0.97.1: crash when lossless cropping large JPEG files
Replies: 5
Views: 236

0.97.1: crash when lossless cropping large JPEG files

XnView: MP 0.97.1 64 bit OS: Windows and Linux I have jpeg images with a relatively large resolution of 2322x4128. When I do a lossless jpeg crop it happens often that the program closes (it shows an error message and upon closing the message the program shuts down). But the cropped file is (often) ...
by djcj
Fri Feb 07, 2020 2:35 pm
Forum: New
Topic: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon
Replies: 46
Views: 5433

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Latest tarball (64 bit) and AppImage are working for me (Ubuntu 18.04).
by djcj
Sun Jan 26, 2020 11:35 am
Forum: New
Topic: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon
Replies: 46
Views: 5433

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

I get the same with AppImage and tarball: Cannot mix incompatible Qt library (version 0x50907) with this library (version 0x50c06) Aborted (core dumped) For those interested, you can get previous versions here: https://download.xnview.com/old_versions/?C=M;O=D I assume some Qt library is missing, it...
by djcj
Sat Feb 23, 2019 4:11 pm
Forum: MP - General Support
Topic: 0.93: adding more plugins on Linux
Replies: 1
Views: 568

0.93: adding more plugins on Linux

I see that several plugins available on Windows are missing from the Linux build. But many of them can be build for Linux: sudo apt install libjpeg-dev libpng16-dev cmake yasm pkg-config autoconf git git clone https://github.com/packjpg/packJPG # fix security issue sed -i 's|sprintf(errormessage, e....
by djcj
Sun Feb 10, 2019 11:40 pm
Forum: New
Topic: Linux: libwebp.so must be libwebp.so.7
Replies: 0
Views: 402

Linux: libwebp.so must be libwebp.so.7

The file Plugins/libwebpdemux.so is linked against libwebp.so.7, but the file inside the Plugins directory is called libwebp.so.
by djcj
Mon Jan 07, 2019 11:54 am
Forum: Retest
Topic: 0.92: Icons larger than 128x128 pixels not displayed [Linux]
Replies: 2
Views: 1187

0.92: Icons larger than 128x128 pixels not displayed [Linux]

XnView: MP 0.92 - 64 bit OS: Linux - 64bit XnView MP doesn't show images from an icns file that are larger than 128x128 pixels. Skipping through the frames it only shows the 128, 32 and 16 square pixels images. But the output of the command line tool icns2png shows me that there's 256 and 512 square...
by djcj
Tue Sep 25, 2018 9:03 am
Forum: MP - Suggestions
Topic: snap package
Replies: 5
Views: 1322

Re: snap package

For some, maybe. The main difference is that snap is a system-agnostic package manager so snap has to be installed.
by djcj
Sun Sep 16, 2018 10:59 am
Forum: MP - Suggestions
Topic: snap package
Replies: 5
Views: 1322

snap package

Suggestion: what about providing a snap package? This could perhaps even replace the .deb and .rpm packages.

Here's a yaml file to build one for the current release: https://gist.github.com/darealshinji/62 ... 2ef916947f

However I can't get the start menu entry to work right now.
by djcj
Sat Sep 15, 2018 8:57 am
Forum: New
Topic: v0.91 Debian package doesn't work
Replies: 9
Views: 1655

Re: v0.91 Debian package doesn't work

If there would be two builds in use with the same version, that would be confusing. Perhaps if you would publish the build number, together with the download link, (and some hash, maybe md5 or better) that would be more transparent for downloaders what version do they have to download... Thank you ...
by djcj
Fri Sep 14, 2018 11:32 am
Forum: New
Topic: v0.91 Debian package doesn't work
Replies: 9
Views: 1655

Re: v0.91 Debian package doesn't work

I see that the libqtav packages are not available on older distros. But you should better check the package in a clean environment (i.e. VirtualBox) to see if it really works without problems. edit: Another side-note: in xnview.sh you should always keep the old PATH environment variables: export LD_...
by djcj
Wed Sep 12, 2018 4:13 pm
Forum: New
Topic: v0.91 Debian package doesn't work
Replies: 9
Views: 1655

Re: v0.91 Debian package doesn't work

I did some checks and it turns out you can install all the Qt libs through the dependencies. This will reduce the package size to 12 mb. Here's the dependency line: Depends: libc6 (>= 2.17), libgcc1 (>= 1:3.0), libilmbase12, libqt5concurrent5, libqt5core5a, libqt5gui5, libqt5multimedia5, libqt5multi...
by djcj
Wed Sep 12, 2018 3:16 pm
Forum: New
Topic: v0.91 Debian package doesn't work
Replies: 9
Views: 1655

Re: v0.91 Debian package doesn't work

Still missing something: $ xnview /opt/XnView/XnView: error while loading shared libraries: libva.so.1: cannot open shared object file: No such file or directory Like I said, use ldd to figure out the dependencies: djcj ~ $ cd /opt/XnView/ djcj /opt/XnView $ export LD_LIBRARY_PATH="$PWD/lib:$PWD/Plu...
by djcj
Wed Sep 12, 2018 8:20 am
Forum: New
Topic: v0.91 Debian package doesn't work
Replies: 9
Views: 1655

v0.91 Debian package doesn't work

There's a missing library:
/opt/XnView/XnView: error while loading shared libraries: libQtAVWidgets.so.1: cannot open shared object file: No such file or directory

Hint: you can use the command ldd to check how the dependencies are resolved before creating a package.